Bug 127824 - "cannot make segment writable for relocation" error trying to start new process
Summary: "cannot make segment writable for relocation" error trying to start new process
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel   
(Show other bugs)
Version: 3.0
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Larry Woodman
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-07-14 12:19 UTC by Mindaugas Riauba
Modified: 2007-11-30 22:07 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 19:22:44 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Mindaugas Riauba 2004-07-14 12:19:26 UTC
Description of problem:
Occasionally Oracle 9.2.0.5 running on RHES 3 fails to start server process.

Version-Release number of selected component (if applicable):
2.4.21-15.0.3.ELhugemem

How reproducible:
Occasionally

Actual results:
oracleMOON: error while loading shared 
libraries: /ora/product/9.2.0/lib/libjox9.so: cannot make segment writable for 
relocation: Cannot allocate memory

Additional info:
Machine has 4GB of RAM. Oracle is relinked to be able to use 2.7GB for 
SGA.

$ free
             total       used       free     shared    buffers     cached
Mem:       3950408    3933476      16932          0      11672    3251264
-/+ buffers/cache:     670540    3279868
Swap:      4186064    1436068    2749996

# sysctl -a | fgrep vm.
vm.stack_defer_threshold = 2048
vm.inactive_clean_percent = 30
vm.dcache_priority = 0
vm.hugetlb_pool = 0
vm.max_map_count = 65536
vm.max-readahead = 31
vm.min-readahead = 3
vm.page-cluster = 3
vm.pagetable_cache = 25 50
vm.kswapd = 512 32      8
vm.pagecache = 1        15      15
vm.overcommit_ratio = 400
vm.overcommit_memory = 2
vm.bdflush = 50 500     0       0       500     3000    80      50      0

Comment 1 RHEL Product and Program Management 2007-10-19 19:22:44 UTC
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.


Note You need to log in before you can comment on or make changes to this bug.